<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4Fibre Member List</h1>This is the complete list of members for <a class="el" href="classG4Fibre.html">G4Fibre</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a1e108bc0cee7bdfc682341e8e9c19fc6">ConstructFibreLayerLogical</a>(G4Transform3D cutTransformation, G4Transform3D transformation, G4String nameBase, G4double fibreRadiusMin_rel, G4double fibreRadiusMax_rel, G4Material *material, G4Colour colour_in, G4Colour colour_out, G4String fibreType, G4String fibrePart)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#adb8535a6ed8a10cdd141e2588d8f463e">ConstructFibreLayerPhysical</a>(G4Transform3D cutTransformation, G4Transform3D transformation, G4String nameBase, G4double fibreRadiusMin_rel, G4double fibreRadiusMax_rel, G4Material *material, G4Colour colour_in, G4Colour colour_out, G4String fibreType, G4String fibrePart=&quot;&quot;)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a414d77a8619bb75f2528b093feec43f7">ConstructSurface</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a32baba1ddddc9023754228e7cef91f60">ConstructVolumes</a>(G4String fibreType)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ad6504aa5e50b42fd441071eec3d3119b">DefineCladding1MaterialProperties</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a3e9401a0d1f66419addbcc074a501e04">DefineCladding2MaterialProperties</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a8aeda39d3155b4160ff9b75eb16c3641">DefineCladding3MaterialProperties</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#af4c8c552e9f362b6b319d8241187e29a">DefineCoreMaterialProperties</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aa88ea08a279b9e819ce546c3948f89e7">DefineMaterials</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a096bde880daf88f445994b5fa08f6d1c">DefineReflectiveSurfacesProperties</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aee06cb8688607144d9ebbd656f1b6cd1">DefineRoughenedSurfacesProperties</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a31e45860cb4371b092e3ece8ee32766f">DoesFirstCladdingExist</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a08d1aa395cd7adcbbb8d16d9fa9af4d1">DoesSecondCladdingExist</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a956ecf37b92ad6b730826ef5831a8c56">DoesThirdCladdingExist</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#af9bdf9547adde75854dd6fa58b0b057e">FibreHasReflectiveEnd</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a04e490ad1cd3f9dab73120862d48e0a3">FibreHasRoughenedEnds</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a974355c8665bf206e533eea684de30a1">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ada8737284d15cb1092172283ed631ecc">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4Transform3D replication_transf)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a8deb10b1ce464544f89a4d94d902ccc5">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a80f4e8cf6837b23ce479c52d8db74bb9">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4Transform3D replication_transf)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#af1d3de9338aea5582d51a31ddb2c77b2">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ad0a3e62890e3ea0065ebc14cad5fd688">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4Transform3D replication_transf)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae587ee21fa828e3a82a6772602e263ad">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a6a94b81ad3d62ebdd5ac0b7c28a826c9">G4Fibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4Transform3D replication_transf)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a342907095c757ae52e2b9aed158f2d8d">GenerateTransformation</a>(G4String fibreType)</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a65db5bc4eed51af39d185fa0c59ec1a1">GetBendingAxisOfBentFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ac3680a33c48bd4f5c3d17e2553f47f9d">GetBendingDeltaAngleOfBentFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a8ea44fd5cbf1d918268c9bfa27941a57">GetBendingEndAngleOfBentFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a5c2dc9d99f6734c16d259c61fa467ee4">GetBendingRadiusOfBentFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a5339873669dfbd3ac61f679c5d9af02c">GetBendingStartAngleOfBentFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a83f5b9be3ed6ceafe79a634694a0501c">GetCircularCentreOfBentFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a16047c229a8aa578eb768e4d1c999788">GetFibreCore_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a9880102e5a75f4b5e82aad2483694fe3">GetFibreCoreInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae8ae0d57b9e8bb1ac97555d9ed62ee67">GetFibreCoreInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#af7e5a254ebea65e36a7405bb8285738d">GetFibreCoreInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a115ec94bc24238f897863659bc7166d2">GetFibreCoreMaterial</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a5dd2a4d0dbbc09ec285cdd9b45c0736b">GetFibreCoreOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a62a40a659215c0e13e1564d26b0d2259">GetFibreCoreOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#add554d4379ce97a3aae7b5f0d7fef29e">GetFibreCoreOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a6c29d332dbbbdd69763bd3e079fafce3">GetFibreCoreRoughenedEnd_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a642f0139899ddfa193a3a4d8ea8df233">GetFibreCoreRoughenedEndInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a28987b028ac81ed39c8cbf5551ddb2c3">GetFibreCoreRoughenedEndInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae686f968199de5e214b407f9b7d06fb0">GetFibreCoreRoughenedEndInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a1f090edb5fc3d9e28af57261516f2313">GetFibreCoreRoughenedEndOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a0cafa3e81951091b10e2dc3cf240be41">GetFibreCoreRoughenedEndOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a91dec0833d338211ee8507b69199069a">GetFibreCoreRoughenedEndOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a6064a0cf684c9e98f846e61e048e0101">GetFibreEdgeLength</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aa94eabf1767e9d56a7f5edf635fad1e3">GetFibreEndReflectivity</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a4b4efa76279fd0894dd5391030dbfcf3">GetFibreEndRoughness</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aebfc4c46b1d99bb5d327ef6f0e357b31">GetFibreInsideMotherTransformation</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a3f392fd86a91263ed4811939ba1bec3f">GetFibreLength</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae2d02558102b5e4f0ffcc49042a72640">GetFibreName</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a9accb1c27b8356be6dbd392655ffe8d4">GetFibreOutsideMotherTransformation</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae74d35cb551c3443b55a35e4208d511d">GetFibreRadius</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a3fc2fb087ee3e27af568b72b43bb47ff">GetFirstCladding_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae3862398b74a5891ba8fcbde55de43c3">GetFirstCladdingInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a2c48b14a6ad17354c2c254f445aa5456">GetFirstCladdingInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae0f0ebcb5009c6ee2034eb35fe595507">GetFirstCladdingInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae0814ff5ffd2fd0e5c2dcfd45e5c0606">GetFirstCladdingMaterial</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a6a4e8fa809969c6d8c11b9431d7bdcb2">GetFirstCladdingOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a6a30347fb3c97f392d8f3063df54fc90">GetFirstCladdingOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a650afbb39fb68acc40433d62bc7b2f05">GetFirstCladdingOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a06ba4234bd7595ba6b511eaa020df420">GetFirstCladdingRoughenedEnd_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a185bc13a10639cf0b37d1612de3c90ff">GetFirstCladdingRoughenedEndInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#afe1a5037535b0cad5bdf787e38e0520c">GetFirstCladdingRoughenedEndInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a3becb35987cc6bda2474f5dcdb93ca4e">GetFirstCladdingRoughenedEndInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aebcd1e1f579d09debb3620a7abc66703">GetFirstCladdingRoughenedEndOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a16a35f0732e5fec63889620d00dc9b18">GetFirstCladdingRoughenedEndOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ab5ae25c4124d01db3871757037475ee5">GetFirstCladdingRoughenedEndOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a0a499460a91de0a83a199948dcd280a6">GetMotherVolume_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ac7d7bcb59f337dff9b205816389ce47e">GetOutermostVolumeInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a60d8110343ba0aa183c4624be4f7fd6e">GetOutermostVolumeInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#abf4870797f3e115db830c9bedcd8cc97">GetOutermostVolumeInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a43a7415625a73d5943949d9d1cc9259b">GetOutermostVolumeOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ac8a4944f491e853c746b3e735d22ed02">GetOutermostVolumeOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aca7d674e91a8f9dfc6970dbac09f2c4f">GetOutermostVolumeOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a2ed8e7532291e21c9f91d66bb4228545">GetReflectiveEnd_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#adfcd21185ec8af81d2aff55bcb25fdc2">GetReflectiveEndInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a9f4fffdba42da1332abfa46a7ec25496">GetReflectiveEndInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aed8b4abfd89aceb7387e55e5f4fbe5d8">GetReflectiveEndInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a471ef0aff49505bd1f15bbb2fb306e66">GetReflectiveEndOpticalSurface</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#afbba2c0aee3d6d2dcfcdad4bd6eb4d1b">GetReflectiveEndOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a21a0628bc25523a2cb1d4bdc690e320d">GetReflectiveEndOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#adb70cdf3fbfb2d12bd5e998c3536861c">GetReflectiveEndOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a5a53702bf47c0c95ec2d1d80ef1e7847">GetRelativeDiameterOfFibreCore</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a51854351bc052e9f2a0da1451c48b921">GetRelativeDiameterOfFirstCladding</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae93e180076f14856f59cac02cc4f0962">GetRelativeDiameterOfSecondCladding</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a41fceea73ea829d3d4968e70626c851c">GetRelativeDiameterOfThirdCladding</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a8dc7f3dcfd3f0c9fd7b88e9dac115cd6">GetRoughenedEndOpticalSurface</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a443dc5994ce1dcacc29fc3e9426e2e52">GetSecondCladding_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#af6480d51371f1ae55f3627a7349642cf">GetSecondCladdingInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a4a909a5dfe081e8d8c281ca7abbd238f">GetSecondCladdingInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#af1a259c7cf490770ca7887fe14de0574">GetSecondCladdingInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a45df0a4f093a4ee6ed48803073537648">GetSecondCladdingMaterial</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a3bb5777f5ca5bdffa207bf9f9b816311">GetSecondCladdingOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#afc2d1d432513375674948f8cbd622283">GetSecondCladdingOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a02dd114dc117cfd38356092ffd728523">GetSecondCladdingOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae4d1fc1f844519aa26f55424eb74d353">GetSecondCladdingRoughenedEnd_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aa862515fbaf0a485f5cb37e84b669493">GetSecondCladdingRoughenedEndInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a1ae1adf760c11dc02d05da46dc11dee1">GetSecondCladdingRoughenedEndInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a860521972d8aff27cafad32fcd814cbb">GetSecondCladdingRoughenedEndInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ab33bb49c5846223b7bdac5faeb7dd2ce">GetSecondCladdingRoughenedEndOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a9376055f09b3a0cb843aa8e6b474eab2">GetSecondCladdingRoughenedEndOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a2b01c62d87ee1fadbb61cba1e7d2d8a4">GetSecondCladdingRoughenedEndOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#acd07bccd33b721778897a2f0fc44b59e">GetSensitiveDetector</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a79b5636d1f64a49696037775d1e29484">GetThirdCladding_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a88aadd25f6d1dcd941338693b53006f9">GetThirdCladdingInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ac3378a758b358e4990be5200caab0ce9">GetThirdCladdingInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a2ad691c5f55b5b09d7ee2c091b63ce83">GetThirdCladdingInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a05719f4fddf34f09ee5cfc03aaaf87a4">GetThirdCladdingMaterial</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ac77482073de07a913a58a713fa41c1cf">GetThirdCladdingOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ac176d946e91ee33d73a19d6cc0ca899c">GetThirdCladdingOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a17e797f7a15036e39b3aa7b31027a739">GetThirdCladdingOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a479579976bd5ff4ffe7d28dbf30c6816">GetThirdCladdingRoughenedEnd_basicSolidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a6fc50fca164f505a51c12fe51f5473ea">GetThirdCladdingRoughenedEndInsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a730511b34de7e65cf29d7c7fae219dc1">GetThirdCladdingRoughenedEndInsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ab48a74c95a8b659bddbd512ae2af8199">GetThirdCladdingRoughenedEndInsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae5106a479bdcad2b42acc44fadead91d">GetThirdCladdingRoughenedEndOutsideMother_logicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#aad5382c5b8eb62d8f7e6ef642fa0c103">GetThirdCladdingRoughenedEndOutsideMother_physicalVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#ae1e8262628709a69f76dd2099662fbf3">GetThirdCladdingRoughenedEndOutsideMother_solidVolume</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a27dd67a7ec3a119fedcddc4e830489b0">HasSensitiveDetector</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a620386c17bf6f87258a7189a33ea07cf">InitialiseVariables</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a3549c9a63905e54633615dfc39e20253">IsFibreBent</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a8a0c7ca521081c60183702cd4e3644f6">IsFibreRound</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a04640c9a683e90d925c19c86ba00b7b1">IsLightGuidingFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a845acb2d764e1554ef011b722493173c">IsScintillatingFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#af713330060749ad6e65942747baa4a59">IsWLSFibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Fibre.html#a5583f752ade6a95475d5b854638e1700">~G4Fibre</a>()</td><td><a class="el" href="classG4Fibre.html">G4Fibre</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
